### Function

# FwupdPlugin kernel_parse_cmdline

since: 1.9.1

#### Declaration [src]

    GHashTable*
    fu_kernel_parse_cmdline (
      const gchar* buf,
      gsize bufsz
    )

#### Description [src]

Parses all the kernel key/values into a hash table, respecting double quotes when required.

Available since: 1.9.1

#### Parameters

`buf`

  Type: `const gchar*`

  Cmdline to parse.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`bufsz`

  Type: `gsize`

  Size of `bufsz`.

#### Return value

Type: `GHashTable`

Keys from the cmdline.

The caller of the function takes ownership of the data container, but not the data inside it.